/////////////////////////////////////
// Flag return scheduler by Sgarissta
/////////////////////////////////////
// Edit the lines below to change 
// user defined settings
/////////////////////////////////////

$FlagTimer::Time = 48;          // Don't change
$FlagTimer::SayEnem = TRUE;     // Say Enemy Times
$FlagTimer::SayTeam = TRUE;     // Say Team Times

// Key toggle for TeamSay on/off
bindCommand(keyboard0, make, "F6", TO, "FlagTimer::TeamToggle();");

// Key toggle for EnemSay on/off
bindCommand(keyboard0, make, "F7", TO, "FlagTimer::EnemToggle();");

/////////////////////////////////////////////////////////
////////////////CODE BEGINS HERE/////////////////////////
/////////////////////////////////////////////////////////
Event::Attach(eventFlagsUpdated, FlagTimer::Update);

function FlagTimer::TeamToggle()
{
	if ($FlagTimer::SayTeam) {$FlagTimer::SayTeam = FALSE; %text="OFF";}
	else {$FlagTimer::SayTeam = TRUE; %text="ON";}
	remoteBP(2048,"Team Messages are <F1>" @ %text, 3);
}

function FlagTimer::EnemToggle()
{
	if ($FlagTimer::SayEnem) {$FlagTimer::SayEnem = FALSE; %text="OFF";}
	else {$FlagTimer::SayEnem = TRUE; %text="ON";}
	remoteBP(2048, "Enemy Messages are <F1>" @ %text, 3);
}

function FlagTimer::Update()
{
	%location = Team::GetFlagLocation(Team::Friendly());
	%location2 = Team::GetFlagLocation(Team::Enemy());
	if (%location == $Trak::locationField)
		FlagTimer::Friendly(1);
	else
		FlagTimer::Friendly(0);
	if (%location2 == $Trak::locationField)
		FlagTimer::Enemy(1);
	else
		FlagTimer::Enemy(0);
}

function FlagTimer::Enemy(%var)
{
	if (%var == 1) {
		Schedule::Add("FlagTimer::Timer1(TRUE,1);", $FlagTimer::Time - 30, "Tim1");
		Schedule::Add("FlagTimer::Timer1(TRUE,2);", $FlagTimer::Time - 5, "Tim2");
	}
	else {
		Schedule::Cancel("Tim1");
		Schedule::Cancel("Tim2");
	}
}

function FlagTimer::Friendly(%var)
{
	if (%var == 1) {
		Schedule::Add("FlagTimer::Timer1(FALSE,1);", $FlagTimer::Time - 30, "Tim3");
		Schedule::Add("FlagTimer::Timer1(FALSE,2);", $FlagTimer::Time - 5, "Tim4");
	}
	else {
		Schedule::Cancel("Tim3");
		Schedule::Cancel("Tim4");
	}
}

function FlagTimer::Timer1(%team, %var)
{
	if ($FlagTimer::SayEnem){
	if (%team == TRUE) {
		if (%var == 1){
			Say::Team(flagGet, "The enemy flag will be back in 30 secs");
			remotebp(2048,"Enemy flag will be back in <f1>30 secs",3);}
		if (%var == 2){
			Say::Team(flagGet, "The Enemy flag will be back in 5 secs!");
			remotebp(2048,"Enemy flag will be back in <f1>5 secs!",3);}
	}}
	if ($FlagTimer::SayTeam){
	if (%team == FALSE) {
		if (%var == 1){
			Say::Team(flagReturn, "Our flag will return in 30 secs");
			remotebp(2048,"Our flag will return in <f1>30 secs!",3);}
		if (%var == 2){
			Say::Team(flagReturn, "Our flag will return in 5 secs");
			remotebp(2048, "Our flag will return in <f1>5 secs",3);}
	}}
}